package com.facebook.share.internal;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.facebook.share.model.ShareModel;
import com.tencent.matrix.trace.core.AppMethodBeat;

@Deprecated
public class LikeContent implements ShareModel {
    @Deprecated
    public static final Creator<LikeContent> CREATOR = new 1();
    private final String objectId;
    private final String objectType;

    private LikeContent(Builder builder) {
        AppMethodBeat.i(97095);
        this.objectId = Builder.access$000(builder);
        this.objectType = Builder.access$100(builder);
        AppMethodBeat.o(97095);
    }

    @Deprecated
    LikeContent(Parcel parcel) {
        AppMethodBeat.i(97096);
        this.objectId = parcel.readString();
        this.objectType = parcel.readString();
        AppMethodBeat.o(97096);
    }

    @Deprecated
    public String getObjectId() {
        return this.objectId;
    }

    @Deprecated
    public String getObjectType() {
        return this.objectType;
    }

    @Deprecated
    public int describeContents() {
        return 0;
    }

    @Deprecated
    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(97097);
        parcel.writeString(this.objectId);
        parcel.writeString(this.objectType);
        AppMethodBeat.o(97097);
    }

    static {
        AppMethodBeat.i(97098);
        AppMethodBeat.o(97098);
    }
}
